## libapache2-mod-auth-memcookie 1.0.2

=== Makefile ===
MY_APXS=/usr/sbin/apxs2
MY_LDFLAGS=-lmemcache -L/mnt/distributions/rpmbuilds/ste-1.0/ste-php/TMP/SFR-libmemcache-1.4.0.rc2-build/product/sfr-suse-addon/lib
MY_CFLAGS=-I/mnt/distributions/rpmbuilds/ste-1.0/ste-php/TMP/SFR-libmemcache-1.4.0.rc2-build/product/sfr-suse-addon/include

.SUFFIXES: .c .o .la
.c.la:
	$(MY_APXS) $(MY_LDFLAGS) $(MY_CFLAGS) -c $< 

all:  mod_auth_memcookie.la

install: mod_auth_memcookie.la
	@echo "-"$*"-" "-"$?"-" "-"$%"-" "-"$@"-" "-"$<"-"
	$(MY_APXS) -i $?

clean:
	-rm -f *.o *.lo *.la *.slo 
	-rm -rf .libs

=== debian/changelog ===
libapache2-mod-auth-memcookie (1.0.2-8) unstable; urgency=low

  * Additional changes for the new Apache Version 2.4 

 -- Eva Ramon Salinas <debian@empanadilla.net>  Thu, 30 May 2013 19:07:52 +0200

libapache2-mod-auth-memcookie (1.0.2-7) unstable; urgency=low

  * New Apache Version 2.4 (Closes: #707060) 

 -- Eva Ramon Salinas <debian@empanadilla.net>  Tue, 28 May 2013 21:49:03 +0200

libapache2-mod-auth-memcookie (1.0.2-6) unstable; urgency=low

  * Improved description (Closes: #679615)

 -- Eva Ramon Salinas <debian@empanadilla.net>  Mon, 09 Jul 2012 19:57:06 +0200

libapache2-mod-auth-memcookie (1.0.2-5) unstable; urgency=low

  * Package licence changed to Apache2 License.
  * Upload sponsored by Philipp Hug <debian@hug.cx>
  ** Package license checked: Apache 2.0, dependencies apache2 (apache2.0),
     memcache (BSD-like licenses), samples (apache2.0)

 -- Eva Ramon Salinas <debian@empanadilla.net>  Sun, 17 Jun 2012 11:25:06 +0200

libapache2-mod-auth-memcookie (1.0.2-4) unstable; urgency=low

  * Install examples and documentation 

 -- Eva Ramon Salinas <debian@empanadilla.net>  Sun, 08 Apr 2012 14:04:30 +0200

libapache2-mod-auth-memcookie (1.0.2-3) unstable; urgency=low

  * Fix libdir path for the LoadModule directive in debian/rules 
  * New standards version 3.9.3

 -- Eva Ramon Salinas <debian@empanadilla.net>  Sun, 11 Mar 2012 18:50:14 +0100

libapache2-mod-auth-memcookie (1.0.2-2) unstable; urgency=low

  * Fix patch problems and lintian errors.

 -- Eva Ramon Salinas <debian@empanadilla.net>  Sun, 11 Mar 2012 17:03:03 +0100

libapache2-mod-auth-memcookie (1.0.2-1) unstable; urgency=low

  * Initial release (Closes: #653586)

 -- Eva Ramon Salinas <debian@empanadilla.net>  Sun, 11 Dec 2011 14:40:09 +0100

=== debian/control ===
Source: libapache2-mod-auth-memcookie
Section: libs 
Priority: extra
Maintainer: Eva Ramon Salinas <debian@empanadilla.net>
Build-Depends: debhelper (>= 8.0.0), apache2-dev, libmemcache-dev
Standards-Version: 3.9.3
Homepage: http://authmemcookie.sourceforge.net 

Package: libapache2-mod-auth-memcookie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2-api-20120211
Description: Apache2 authentication and authorization module. 
 AuthMemCookie is an Apache2 authentication and authorization module. 
 It does not make authentication by itself: the login page has to set 
 an authentication cookie and store the user information in memcache. 
 Once a logged-in user tries to access a protected url, the module will 
 verify if the authentication cookie is valid for the requested url and 
 it will check the info stored in memcache in order to determine if the
 authenticated user is authorized to access the url. A sample LDAP login 
 page in php is included in the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

%:
	dh $@ 

# In target install, We need to do here the same apxs does

override_dh_auto_install:

	# Install the module binary (shared object) into /usr/lib/apache2/modules
	install -v -m 644 $(CURDIR)/.libs/mod_auth_memcookie.so -D $(CURDIR)/debian/libapache2-mod-auth-memcookie/usr/lib/apache2/modules/mod_auth_memcookie.so

	# Create /etc/apache2/mods-available
	install -v -m 755 -d -D $(CURDIR)/debian/libapache2-mod-auth-memcookie/etc/apache2/mods-available/	

	# Create /etc/apache2/mods-available/auth_memcookie.load with the LoadModule directive inside
	echo "LoadModule mod_auth_memcookie_module /usr/lib/apache2/modules/mod_auth_memcookie.so" > $(CURDIR)/debian/libapache2-mod-auth-memcookie/etc/apache2/mods-available/auth_memcookie.load
